
set( larreco_VERSION 07.09.00 )
set( larreco_UPS_VERSION v07_09_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcoreobj  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_root(  )
    find_ups_product( larcore v1_00_00 )
    find_ups_product( larcorealg  )
    find_ups_product( art  )
    find_ups_product( canvas_root_io  )
    find_ups_product( lardataobj  )
    find_ups_product( nusimdata  )
    find_ups_product( dk2nudata v01_05_01 )
    find_ups_product( lardataalg  )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( nutools  )
    find_ups_product( genie  )
    find_ups_product( dk2nugenie  )
    find_ups_product( libwda  )
    find_ups_product( postgresql  )
    find_ups_product( geant4  )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( marley  )
    find_ups_product( ifdhc  )
    find_ups_product( eigen  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/build-larsoft/v07_08_00_01/OSX-10.12/debug/build/libxml2/v2_9_5/Darwin64bit+16-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEHGAL )
      cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_TREE )
      cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_GENIE )
      cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH_SERVICE )
      cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY )
      cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY_ROOT )
      cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
      set( LARRECO_CALORIMETRY $ENV{LARRECO_LIB}/liblarreco_Calorimetry.dylib )
      set( LARRECO_CALORIMETRY_BEZIERCALORIMETRY_MODULE $ENV{LARRECO_LIB}/liblarreco_Calorimetry_BezierCalorimetry_module.dylib )
      set( LARRECO_CALORIMETRY_CALORIMETRY_MODULE $ENV{LARRECO_LIB}/liblarreco_Calorimetry_Calorimetry_module.dylib )
      set( LARRECO_CALORIMETRY_GENERALCALORIMETRY_MODULE $ENV{LARRECO_LIB}/liblarreco_Calorimetry_GeneralCalorimetry_module.dylib )
      set( LARRECO_CALORIMETRY_PRINTCALORIMETRY_MODULE $ENV{LARRECO_LIB}/liblarreco_Calorimetry_PrintCalorimetry_module.dylib )
      set( LARRECO_CALORIMETRY_TRACKCALORIMETRY_MODULE $ENV{LARRECO_LIB}/liblarreco_Calorimetry_TrackCalorimetry_module.dylib )
      set( LARRECO_CLUSTERFINDER $ENV{LARRECO_LIB}/liblarreco_ClusterFinder.dylib )
      set( LARRECO_CLUSTERFINDER_BLURREDCLUSTERING_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_BlurredClustering_module.dylib )
      set( LARRECO_CLUSTERFINDER_CLUSTER3D_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_Cluster3D_module.dylib )
      set( LARRECO_CLUSTERFINDER_CLUSTERANA_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterAna_module.dylib )
      set( LARRECO_CLUSTERFINDER_CLUSTERCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterCheater_module.dylib )
      set( LARRECO_CLUSTERFINDER_CLUSTERCRAWLER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterCrawler_module.dylib )
      set( LARRECO_CLUSTERFINDER_CLUSTERPCA_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusterPCA_module.dylib )
      set( LARRECO_CLUSTERFINDER_CLUSTERINGVALIDATION_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_ClusteringValidation_module.dylib )
      set( LARRECO_CLUSTERFINDER_DBCLUSTER3D_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_DBCluster3D_module.dylib )
      set( LARRECO_CLUSTERFINDER_DBCLUSTERANA_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_DBclusterAna_module.dylib )
      set( LARRECO_CLUSTERFINDER_DBCLUSTER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_DBcluster_module.dylib )
      set( LARRECO_CLUSTERFINDER_ENDPOINTMODULE_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_EndPointModule_module.dylib )
      set( LARRECO_CLUSTERFINDER_FUZZYCLUSTERMERGER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_FuzzyClusterMerger_module.dylib )
      set( LARRECO_CLUSTERFINDER_HOUGHLINEFINDERANA_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_HoughLineFinderAna_module.dylib )
      set( LARRECO_CLUSTERFINDER_HOUGHLINEFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_HoughLineFinder_module.dylib )
      set( LARRECO_CLUSTERFINDER_LINECLUSTER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_LineCluster_module.dylib )
      set( LARRECO_CLUSTERFINDER_LINEMERGER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_LineMerger_module.dylib )
      set( LARRECO_CLUSTERFINDER_SIMPLECLUSTERMERGER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_SimpleClusterMerger_module.dylib )
      set( LARRECO_CLUSTERFINDER_SIMPLELINECLUSTER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_SimpleLineCluster_module.dylib )
      set( LARRECO_CLUSTERFINDER_SMALLCLUSTERFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_SmallClusterFinder_module.dylib )
      set( LARRECO_CLUSTERFINDER_TRAJCLUSTER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_TrajCluster_module.dylib )
      set( LARRECO_CLUSTERFINDER_FUZZYCLUSTER_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_fuzzyCluster_module.dylib )
      set( LARRECO_CLUSTERFINDER_TRACKSHOWERSPLITTER_SEGMENTATION2D $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_TrackShowerSplitter_Segmentation2D.dylib )
      set( LARRECO_CLUSTERFINDER_TRACKSHOWERSPLITTER_TRACKSHOWERHITS_MODULE $ENV{LARRECO_LIB}/liblarreco_ClusterFinder_TrackShowerSplitter_TrackShowerHits_module.dylib )
      set( LARRECO_DEPRECATED $ENV{LARRECO_LIB}/liblarreco_Deprecated.dylib )
      set( LARRECO_EVENTFINDER_AGGREGATEEVENT_MODULE $ENV{LARRECO_LIB}/liblarreco_EventFinder_AggregateEvent_module.dylib )
      set( LARRECO_EVENTFINDER_EVENTCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_EventFinder_EventCheater_module.dylib )
      set( LARRECO_EVENTFINDER_EVENTMAKER_MODULE $ENV{LARRECO_LIB}/liblarreco_EventFinder_EventMaker_module.dylib )
      set( LARRECO_GENFIT $ENV{LARRECO_LIB}/liblarreco_Genfit.dylib )
      set( LARRECO_HITFINDER_HITFINDERTOOLS_CANDHITDERIVATIVE_TOOL $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_CandHitDerivative_tool.dylib )
      set( LARRECO_HITFINDER_HITFINDERTOOLS_CANDHITMORPHOLOGICAL_TOOL $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_CandHitMorphological_tool.dylib )
      set( LARRECO_HITFINDER_HITFINDERTOOLS_CANDHITSTANDARD_TOOL $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_CandHitStandard_tool.dylib )
      set( LARRECO_HITFINDER_HITFINDERTOOLS_PEAKFITTERGAUSSELIMINATION_TOOL $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_PeakFitterGaussElimination_tool.dylib )
      set( LARRECO_HITFINDER_HITFINDERTOOLS_PEAKFITTERGAUSSIAN_TOOL $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_PeakFitterGaussian_tool.dylib )
      set( LARRECO_HITFINDER_HITFINDERTOOLS_WAVEFORMTOOLS_TOOL $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderTools_WaveformTools_tool.dylib )
      set( LARRECO_HITFINDER $ENV{LARRECO_LIB}/liblarreco_HitFinder.dylib )
      set( LARRECO_HITFINDER_APAHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_APAHitFinder_module.dylib )
      set( LARRECO_HITFINDER_DPRAWHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_DPRawHitFinder_module.dylib )
      set( LARRECO_HITFINDER_DISAMBIGCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_DisambigCheater_module.dylib )
      set( LARRECO_HITFINDER_FFTHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_FFTHitFinder_module.dylib )
      set( LARRECO_HITFINDER_GAUSHITFINDERANA_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_GausHitFinderAna_module.dylib )
      set( LARRECO_HITFINDER_GAUSHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_GausHitFinder_module.dylib )
      set( LARRECO_HITFINDER_HITANAMODULE_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitAnaModule_module.dylib )
      set( LARRECO_HITFINDER_HITCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitCheater_module.dylib )
      set( LARRECO_HITFINDER_HITFINDERANA_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinderAna_module.dylib )
      set( LARRECO_HITFINDER_HITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_HitFinder_module.dylib )
      set( LARRECO_HITFINDER_MCHITANAEXAMPLE_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_MCHitAnaExample_module.dylib )
      set( LARRECO_HITFINDER_MCHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_MCHitFinder_module.dylib )
      set( LARRECO_HITFINDER_RFFHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_RFFHitFinder_module.dylib )
      set( LARRECO_HITFINDER_RAWHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_RawHitFinder_module.dylib )
      set( LARRECO_HITFINDER_TTHITFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_HitFinder_TTHitFinder_module.dylib )
      set( LARRECO_RECOALG $ENV{LARRECO_LIB}/liblarreco_RecoAlg.dylib )
      set( LARRECO_RECOALG_CMTOOL_CMTOOLBASE $ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMToolBase.dylib )
      set( LARRECO_RECOALG_CMTOOL_CMTALGPRIORITY $ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMTAlgPriority.dylib )
      set( LARRECO_RECOALG_CMTOOL_CMTALGMERGE $ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMTAlgMerge.dylib )
      set( LARRECO_RECOALG_CMTOOL_CMTALGMATCH $ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMTAlgMatch.dylib )
      set( LARRECO_RECOALG_CMTOOL_CMTOOLAPP $ENV{LARRECO_LIB}/liblarreco_RecoAlg_CMTool_CMToolApp.dylib )
      set( LARRECO_RECOALG_CLUSTERRECOUTIL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_ClusterRecoUtil.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_CONVEXHULL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_ConvexHull.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_VORONOI $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_Voronoi.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_PATHFINDING_CLUSTERPATHFINDER_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_PathFinding_ClusterPathFinder_tool.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_PATHFINDING_CONVEXHULLPATHFINDER_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_PathFinding_ConvexHullPathFinder_tool.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_PATHFINDING_VORONOIPATHFINDER_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_PathFinding_VoronoiPathFinder_tool.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_CLUSTERMERGEALG_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_ClusterMergeAlg_tool.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_DBSCANALG_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_DBScanAlg_tool.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_MINSPANTREEALG_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_MinSpanTreeAlg_tool.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_SPACEPOINTHIT3DBUILDER_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_SpacePointHit3DBuilder_tool.dylib )
      set( LARRECO_RECOALG_CLUSTER3DALGS_STANDARDHIT3DBUILDER_TOOL $ENV{LARRECO_LIB}/liblarreco_RecoAlg_Cluster3DAlgs_StandardHit3DBuilder_tool.dylib )
      set( LARRECO_RECOALG_IMAGEPATTERNALGS_DATAPROVIDER $ENV{LARRECO_LIB}/liblarreco_RecoAlg_ImagePatternAlgs_DataProvider.dylib )
      set( LARRECO_RECOALG_IMAGEPATTERNALGS_KERAS $ENV{LARRECO_LIB}/liblarreco_RecoAlg_ImagePatternAlgs_Keras.dylib )
      set( LARRECO_RECOALG_PMALG $ENV{LARRECO_LIB}/liblarreco_RecoAlg_PMAlg.dylib )
      set( LARRECO_RECOALG_TCALG $ENV{LARRECO_LIB}/liblarreco_RecoAlg_TCAlg.dylib )
      set( LARRECO_SHOWERFINDER_SHOWERRECO3D $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco3D.dylib )
      set( LARRECO_SHOWERFINDER_SHOWERRECO3D_SHOWERQUALITY_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco3D_ShowerQuality_module.dylib )
      set( LARRECO_SHOWERFINDER_SHOWERRECO3D_SHOWERRECO3D_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco3D_ShowerReco3D_module.dylib )
      set( LARRECO_SHOWERFINDER_EMSHOWER_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_EMShower_module.dylib )
      set( LARRECO_SHOWERFINDER_NEUTRINOSHOWEREFF_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_NeutrinoShowerEff_module.dylib )
      set( LARRECO_SHOWERFINDER_NUSHOWEREFF_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_NuShowerEff_module.dylib )
      set( LARRECO_SHOWERFINDER_SHOWERCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerCheater_module.dylib )
      set( LARRECO_SHOWERFINDER_SHOWERFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerFinder_module.dylib )
      set( LARRECO_SHOWERFINDER_SHOWERRECO_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_ShowerReco_module.dylib )
      set( LARRECO_SHOWERFINDER_TCSHOWERANALYSIS_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShowerAnalysis_module.dylib )
      set( LARRECO_SHOWERFINDER_TCSHOWERELECTRONLIKELIHOOD_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShowerElectronLikelihood_module.dylib )
      set( LARRECO_SHOWERFINDER_TCSHOWERTEMPLATEMAKER_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShowerTemplateMaker_module.dylib )
      set( LARRECO_SHOWERFINDER_TCSHOWER_MODULE $ENV{LARRECO_LIB}/liblarreco_ShowerFinder_TCShower_module.dylib )
      set( LARRECO_TRACKFINDER_BEZIERTRACKERMODULE_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_BezierTrackerModule_module.dylib )
      set( LARRECO_TRACKFINDER_CCTRACKMAKER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_CCTrackMaker_module.dylib )
      set( LARRECO_TRACKFINDER_COSMICTRACKER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_CosmicTracker_module.dylib )
      set( LARRECO_TRACKFINDER_FEATURETRACKER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_FeatureTracker_module.dylib )
      set( LARRECO_TRACKFINDER_KALMANFILTERFINALTRACKFITTER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_KalmanFilterFinalTrackFitter_module.dylib )
      set( LARRECO_TRACKFINDER_KALMANFILTERTRAJECTORYFITTER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_KalmanFilterTrajectoryFitter_module.dylib )
      set( LARRECO_TRACKFINDER_MCSFITPRODUCER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_MCSFitProducer_module.dylib )
      set( LARRECO_TRACKFINDER_MAGDRIFTANA_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_MagDriftAna_module.dylib )
      set( LARRECO_TRACKFINDER_MUONTRACKINGEFF_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_MuonTrackingEff_module.dylib )
      set( LARRECO_TRACKFINDER_NEUTRINOTRACKINGEFF_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_NeutrinoTrackingEff_module.dylib )
      set( LARRECO_TRACKFINDER_PFPANA_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_PFPAna_module.dylib )
      set( LARRECO_TRACKFINDER_PMALGTRACKMAKER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_PMAlgTrackMaker_module.dylib )
      set( LARRECO_TRACKFINDER_PMALGTRAJFITTER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_PMAlgTrajFitter_module.dylib )
      set( LARRECO_TRACKFINDER_SEEDANA_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_SeedAna_module.dylib )
      set( LARRECO_TRACKFINDER_SEEDFINDERMODULE_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_SeedFinderModule_module.dylib )
      set( LARRECO_TRACKFINDER_SPACEPOINTANA_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePointAna_module.dylib )
      set( LARRECO_TRACKFINDER_SPACEPOINTCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePointCheater_module.dylib )
      set( LARRECO_TRACKFINDER_SPACEPOINTFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePointFinder_module.dylib )
      set( LARRECO_TRACKFINDER_SPACEPTS_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_SpacePts_module.dylib )
      set( LARRECO_TRACKFINDER_TCTRACK_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TCTrack_module.dylib )
      set( LARRECO_TRACKFINDER_TRACK3DKALMANHIT_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3DKalmanHit_module.dylib )
      set( LARRECO_TRACKFINDER_TRACK3DRECO_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3Dreco_module.dylib )
      set( LARRECO_TRACKFINDER_TRACKANA_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackAna_module.dylib )
      set( LARRECO_TRACKFINDER_TRACKCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackCheater_module.dylib )
      set( LARRECO_TRACKFINDER_TRACKKALMANCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackKalmanCheater_module.dylib )
      set( LARRECO_TRACKFINDER_TRACKPRODUCERFROMPFPARTICLE_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackProducerFromPFParticle_module.dylib )
      set( LARRECO_TRACKFINDER_TRACKPRODUCERFROMTRACKTRAJECTORY_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackProducerFromTrackTrajectory_module.dylib )
      set( LARRECO_TRACKFINDER_TRACKPRODUCERFROMTRACK_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackProducerFromTrack_module.dylib )
      set( LARRECO_TRACKFINDER_TRACKSTITCHER_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_TrackStitcher_module.dylib )
      set( LARRECO_TRACKFINDER_TRACK3DKALMAN_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3DKalman_module.dylib )
      set( LARRECO_TRACKFINDER_TRACK3DKALMANSPS_MODULE $ENV{LARRECO_LIB}/liblarreco_TrackFinder_Track3DKalmanSPS_module.dylib )
      set( LARRECO_TRACKFINDER_KALMANFILTERFITTRACKMAKER_TOOL $ENV{LARRECO_LIB}/liblarreco_TrackFinder_KalmanFilterFitTrackMaker_tool.dylib )
      set( LARRECO_VERTEXFINDER_AGGREGATEVERTEXANA_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_AggregateVertexAna_module.dylib )
      set( LARRECO_VERTEXFINDER_AGGREGATEVERTEX_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_AggregateVertex_module.dylib )
      set( LARRECO_VERTEXFINDER_FEATUREVERTEXFINDERANA_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_FeatureVertexFinderAna_module.dylib )
      set( LARRECO_VERTEXFINDER_HARRISVERTEXFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_HarrisVertexFinder_module.dylib )
      set( LARRECO_VERTEXFINDER_PRIMARYVERTEXFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_PrimaryVertexFinder_module.dylib )
      set( LARRECO_VERTEXFINDER_VERTEXCHEATER_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_VertexCheater_module.dylib )
      set( LARRECO_VERTEXFINDER_VERTEXFINDER2D_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_VertexFinder2D_module.dylib )
      set( LARRECO_VERTEXFINDER_VERTEXFITTER_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_VertexFitter_module.dylib )
      set( LARRECO_VERTEXFINDER_VERTEXMATCH_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_VertexMatch_module.dylib )
      set( LARRECO_VERTEXFINDER_FEATUREVERTEXFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_FeatureVertexFinder_module.dylib )
      set( LARRECO_VERTEXFINDER_CORNERFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_VertexFinder_CornerFinder_module.dylib )
      set( LARRECO_SPACEPOINTFINDER_TTSPACEPOINTFINDER_MODULE $ENV{LARRECO_LIB}/liblarreco_SpacePointFinder_TTSpacePointFinder_module.dylib )
      set( LARRECO_SPACEPOINTSOLVER $ENV{LARRECO_LIB}/liblarreco_SpacePointSolver.dylib )
      set( PLOTSPACEPOINTS_MODULE $ENV{LARRECO_LIB}/libPlotSpacePoints_module.dylib )
      set( SPACEPOINTSOLVER_MODULE $ENV{LARRECO_LIB}/libSpacePointSolver_module.dylib )
      set( LARRECO_MCCOMP $ENV{LARRECO_LIB}/liblarreco_MCComp.dylib )
      set( LARRECO_MCCOMP_MCBTDEMO_MODULE $ENV{LARRECO_LIB}/liblarreco_MCComp_MCBTDemo_module.dylib )
      set( LARRECO_WIRECELL_CELLTREE_MODULE $ENV{LARRECO_LIB}/liblarreco_WireCell_CellTree_module.dylib )
      set( LARRECO_WIRECELL_MERGEWIRECELL_MODULE $ENV{LARRECO_LIB}/liblarreco_WireCell_MergeWireCell_module.dylib )
      set( LARRECO_DIROFGAMMA $ENV{LARRECO_LIB}/liblarreco_DirOfGamma.dylib )
      set( LARRECO_DIROFGAMMA_EMSHOWER3D_MODULE $ENV{LARRECO_LIB}/liblarreco_DirOfGamma_EMShower3D_module.dylib )
      set( LARRECO_DIROFGAMMA_MERGEEMSHOWER3D_MODULE $ENV{LARRECO_LIB}/liblarreco_DirOfGamma_MergeEMShower3D_module.dylib )
      set( LARRECO_DIROFGAMMA_MULTIEMSHOWERS_MODULE $ENV{LARRECO_LIB}/liblarreco_DirOfGamma_MultiEMShowers_module.dylib )
      include_directories ( $ENV{LARRECO_INC} )

check_required_components(larreco)

